package cn.com.poc.writing.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.writing.entity.BizAiWritingExampleTypeEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiWritingExampleTypeService extends BaseService {

    BizAiWritingExampleTypeEntity get(java.lang.Long id) throws Exception;

    List<BizAiWritingExampleTypeEntity> findByExample(BizAiWritingExampleTypeEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiWritingExampleTypeEntity save(BizAiWritingExampleTypeEntity entity) throws Exception;

    BizAiWritingExampleTypeEntity update(BizAiWritingExampleTypeEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}